org.eclipse.wst.jsdt.core

## Class LibrarySuperType

- java.lang.Object
- - org.eclipse.wst.jsdt.core.LibrarySuperType

    public class LibrarySuperType
    extends java.lang.Object

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

Fields
`static java.lang.String` `SUPER_TYPE_CONTAINER`
`static java.lang.String` `SUPER_TYPE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`LibrarySuperType(IPath classPathEntry, IJavaScriptProject project)`
`LibrarySuperType(IPath classPathEntry, IJavaScriptProject project, java.lang.String superTypeName)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object o)`
`LibrarySuperType[]` `getChildren()`
`IIncludePathEntry[]` `getClasspathEntries()`
`JsGlobalScopeContainerInitializer` `getContainerInitializer()`
`static JsGlobalScopeContainerInitializer` `getContainerInitializer(IPath classPathEntry)`
`java.lang.String` `getLibraryName()`
`IPackageFragment[]` `getPackageFragments()`
`LibrarySuperType` `getParent()`
`IPath` `getRawContainerPath()`
`java.lang.String` `getSuperTypeName()`
`boolean` `hasChildren()`
`boolean` `isParent()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SUPER_TYPE_CONTAINER

    public static final java.lang.String SUPER_TYPE_CONTAINER

See Also:
  Constant Field Values

#### SUPER_TYPE_NAME

    public static final java.lang.String SUPER_TYPE_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### LibrarySuperType

    public LibrarySuperType(IPath classPathEntry,
                            IJavaScriptProject project,
                            java.lang.String superTypeName)

#### LibrarySuperType

    public LibrarySuperType(IPath classPathEntry,
                            IJavaScriptProject project)

### Method Detail

#### getRawContainerPath

    public IPath getRawContainerPath()

#### hasChildren

    public boolean hasChildren()

#### getChildren

    public LibrarySuperType[] getChildren()

#### getParent

    public LibrarySuperType getParent()

#### isParent

    public boolean isParent()

#### getContainerInitializer

    public JsGlobalScopeContainerInitializer getContainerInitializer()

#### getClasspathEntries

    public IIncludePathEntry[] getClasspathEntries()

#### getSuperTypeName

    public java.lang.String getSuperTypeName()

#### getLibraryName

    public java.lang.String getLibraryName()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### getPackageFragments

    public IPackageFragment[] getPackageFragments()

#### getContainerInitializer

    public static JsGlobalScopeContainerInitializer getContainerInitializer(IPath classPathEntry)